/*	Copyright (C) 2003-2010 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#ifndef __operator_PartitionOp_h__
#define __operator_PartitionOp_h__

namespace fe
{

/**************************************************************************//**
    @brief Divide primitives into connected patches

	@ingroup operator
*//***************************************************************************/
class FE_DL_EXPORT PartitionOp:
	public OperatorSurfaceCommon,
	public Initialize<PartitionOp>
{
	public:
				PartitionOp(void)											{}
virtual			~PartitionOp(void)											{}

		void	initialize(void);

				//* As HandlerI
virtual void	handle(Record& a_rSignal);
};

} // namespace

#endif /* __operator_PartitionOp_h__ */

